skin_hu
skin_hu
采纳率0%
2017-06-04 10:28 阅读 2.4k

arcgis-android:100.0.0依赖gson.2.3.1.jar失败,是什么原因呢?

10

很无语的一个问题。
依赖'com.esri.arcgisruntime:arcgis-android:100.0.0'同步时报出“Error:Failed to resolve: com.google.code.gson:gson:2.3.1”。

clean project之后又报出:
Error:A problem occurred configuring project ':app'.>
Could not resolve all dependencies for configuration ':app:_debugApkCopy'. >
Could not resolve com.google.code.gson:gson:2.3.1. Required by: project :app > com.esri.arcgisruntime:arcgis-android:100.0.0 >
Could not resolve com.google.code.gson:gson:2.3.1. >
Could not get resource 'https://jcenter.bintray.com/com/google/code/gson/gson/2.3.1/gson-2.3.1.pom'. >
Could not HEAD 'https://jcenter.bintray.com/com/google/code/gson/gson/2.3.1/gson-2.3.1.pom'. > Server sent an unsupported extension: type_35

很尴尬啊,找了很久不知道什么问题。
在线依赖“com.esri.arcgisruntime:arcgis-android:100.0.0”,更可怕直接卡在下download arcgis-android-100.0.0.aar上面。(一直开着VPN)

按照官网文档和网上大神的经验配置离线:
1、本地配置maven,并将arcgis-android-100.0.0.aar和arcgis-android-100.0.0.pom放入在C:\Users\Administrator.m2\repository\com\esri\arcgis\android\arcgis-android\100.0.0和C:\Users\Administrator.m2\repository\com\esri\arcgisruntime\arcgis-android\100.0.0(因为不知道哪个对,索性就配置了两个)。

2、so文件放在了src/main/jinLibs文件夹下,并在build.gradle配置了。

3、arcgis-android-api.jar和gson-2.3.1.jar放在libs下并依赖。

4、project下的build.gradle也配置了本地仓库。
![图片说明](https://img-ask.csdn.net/upload/201706/04/1496572186_730793.png)图片说明

  • 点赞
  • 写回答
  • 关注问题
  • 收藏
  • 复制链接分享

2条回答 默认 最新

  • qq_27969037 Mr康 2017-06-05 01:02

    jar包没下载下来吧

    点赞 1 评论 复制链接分享
  • oyljerry oyljerry 2017-06-04 12:42

    一般是网络原因,可以试试直接下载对应的jar包等,然后添加到libs目录来引用

    点赞 评论 复制链接分享

相关推荐